Redmine - Feature #35122

solar calendar
2021-04-19 10:12 - Abbas Samgani

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Calendar Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

Hi dears

| have been following the solar calendar for Redmine for a long time, but | didn't find any results,
People who have done this before are from older versions of Redmine.
Is it possible to create a plugin in this regard?

Related issues:
Is duplicate of Redmine - Feature #12889: Persian Solar Calendar is needed New

History

#1 - 2021-05-19 16:50 - Holger Just
- Is duplicate of Feature #12889: Persian Solar Calendar is needed added

#2 - 2021-05-19 16:50 - Holger Just
- Status changed from New to Closed

- Resolution set to Duplicate

#3 - 2021-12-19 12:05 - Amir Khalili

Gentlemen hope you enjoy the show.
| needed it so i made it.
I'm not a developer by nature btw.

Redmine version 4.1.1 fully Persian localized for F* Free. Things that localized:

- The actual Calendar.

- Every date input has Jalali date picker (thnx to Reza Babakhani <babakhani.reza@gmail.com> for free JS date picker).
- Roadmap has Jalali dates.

- Versions has Jalali dates.

- Activies are displayed in Jalali dates.

- Wikis are in Jalali dates.

- Every dates that are used in Issues are now in Jalili format (things like: "created_on", "updated_on", ...)

- Repositories are fully in Jalali format.

- Gantt is in jalali format (i dont like it though).

- Documents dates are in Jalali format.

- Files dates are in Jalali format.

- Time entries are in Jalali format. You can add time entry in Jalali format, you can also report everything in Jalali dates.
- Dates tooltips are in Jalali format.

- Many icons, tables and context menus tweaked to fully support RTL schema.

Plugins that localized:

- Agile board plugin fully persian localized (God dammit he even did that too! LoL LoL LoL). even it's chart dates now diplay Jalali dates.
- "More previews" plugin localized (it's just dates table you know :D )

- CK Editor ADDED :)) .

Things not included (I haven't really looked into these yet, cause i had no interest)
- News
- Forums

Notes:

- When you use date filters to filter something the most stable way is to use "From To" model which gives you two date inputs. | tweaked "Current
date" and "Current month" to display right dates but "previous week", "previous months" and stuff like that may don't give you expected results :D !
- Dont mess around with "Date format" in settings, Its hard coded in some places :)) Use default one.

May i proudly present you:
mailto:babakhani.reza@gmail.com

https://github.com/dearssickness/redmine-fa

Ow it has a fully several times tested Persian installation document which added to the main code "Redmine-Deplyment.docx". Just connect machine
to Internet and copy paste stuffs LoL.

Thnx to Redmine guys.
#4 - 2021-12-19 19:18 - Abbas Samgani

e Thank you very MuGh ******xxxx
Is it possible to make changes by ourselves on the running project?

| customized the version of redmine 4.2.1 and made changes to it
